spa_result_node_params Struct Reference
SPA » Node

the result of enum_params or port_enum_params. More...

## Data Fields

uint32_t | id
| id of parameter More...
uint32_t | index
| index of parameter More...
uint32_t | next
| next index of iteration More...
struct spa_pod * | param
| the result param More...

## Detailed Description

the result of enum_params or port_enum_params.

Examples
  export-sink.c, export-source.c, and local-v4l2.c.

## Field Documentation

## id

uint32_t spa_result_node_params::id

id of parameter

Examples
  export-sink.c, export-source.c, and local-v4l2.c.

## index

uint32_t spa_result_node_params::index

index of parameter

## next

uint32_t spa_result_node_params::next

next index of iteration

Examples
  export-sink.c, export-source.c, and local-v4l2.c.

## param

struct spa_pod* spa_result_node_params::param

the result param

Examples
  export-sink.c, export-source.c, and local-v4l2.c.

The documentation for this struct was generated from the following file:

- spa/node/node.h